Bug 1475698 - [Docs][Install][DWH] Update remote database procedure to be more generic (for both Manager and DWH databases)
[Docs][Install][DWH] Update remote database procedure to be more generic (for...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation (Show other bugs)
4.1.3
All All
medium Severity medium
: ovirt-4.1.6
: ---
Assigned To: Avital Pinnick
Billy Burmester
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-27 03:57 EDT by Lukas Svaty
Modified: 2018-03-28 05:33 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-03-28 05:33:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Docs
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukas Svaty 2017-07-27 03:57:43 EDT
Description of problem:
process of setting ovirt-engine on 3 and more machines is lacking documentation. When user wants remote dwh service installed and database if dwh service on 3rd machine, he needs to go by the steps of remote database of engine service. Please add pointers or documentation to this process.
Comment 1 Lucy Bopf 2017-07-28 02:35:48 EDT
Hi Lukas,

We have the following documentation about setting up DWH on a separate machine:

https://access.redhat.com/documentation/en-us/red_hat_virtualization/4.1/html-single/data_warehouse_guide/#Installing_and_Configuring_Data_Warehouse_on_a_Separate_Machine

It also points to steps for migrating the database to separate machine.

Are we still missing something?
Comment 2 Lukas Svaty 2017-07-28 04:45:58 EDT
TLDR: Yes, we need deployment with remote dwh database.

There are 2 ways to acquire state of having dwh db on remote machine.
1. Install remote dwh with database on the same machine, and migrate database to second later.
2. Install remote dwh with database on another machine, during ovirt-engine-dwh-setup

They differ just in a flow, as 1st one supports moving it later, when admin faces problems with DB. However both are functional and should be supported.
Comment 3 Lucy Bopf 2017-08-07 21:56:26 EDT
Thanks, Lukas.

So we've covered 1. in this section:

Install: https://access.redhat.com/documentation/en-us/red_hat_virtualization/4.1/html-single/data_warehouse_guide/#Installing_and_Configuring_Data_Warehouse_on_a_Separate_Machine

Migrate: https://access.redhat.com/documentation/en-us/red_hat_virtualization/4.1/html-single/data_warehouse_guide/#Migrating_the_Data_Warehouse_Database_to_a_Separate_Machine

We've partially covered 2. as well, but we assume that the user has already set up the DB, and we only have manual DB setup instructions for the Manager[1].

Shirly, can you help us with providing instructions for setting up a remote DWH DB? Are they the same as or similar to the instructions for setting up remote Manager DB?

[1] https://access.redhat.com/documentation/en-us/red_hat_virtualization/4.1/html-single/installation_guide/#appe-Preparing_a_Remote_PostgreSQL_Database_for_Use_with_the_Red_Hat_Enterprise_Virtualization_Manager
Comment 4 Shirly Radco 2017-08-08 02:23:08 EDT
(In reply to Lucy Bopf from comment #3)
> Thanks, Lukas.
> 
> So we've covered 1. in this section:
> 
> Install:
> https://access.redhat.com/documentation/en-us/red_hat_virtualization/4.1/
> html-single/data_warehouse_guide/
> #Installing_and_Configuring_Data_Warehouse_on_a_Separate_Machine
> 
> Migrate:
> https://access.redhat.com/documentation/en-us/red_hat_virtualization/4.1/
> html-single/data_warehouse_guide/
> #Migrating_the_Data_Warehouse_Database_to_a_Separate_Machine
> 
> We've partially covered 2. as well, but we assume that the user has already
> set up the DB, and we only have manual DB setup instructions for the
> Manager[1].
> 
> Shirly, can you help us with providing instructions for setting up a remote
> DWH DB? Are they the same as or similar to the instructions for setting up
> remote Manager DB?
> 
> [1]
> https://access.redhat.com/documentation/en-us/red_hat_virtualization/4.1/
> html-single/installation_guide/#appe-
> Preparing_a_Remote_PostgreSQL_Database_for_Use_with_the_Red_Hat_Enterprise_Vi
> rtualization_Manager

Yes, it is the same, only that the default db name and user name is ovirt_engine_history.
Comment 5 Lucy Bopf 2017-08-28 20:39:11 EDT
Thanks, Shirly!

We'll update the existing procedure to be more generic, and include sub-steps for creating a DWH database. We can then link to that procedure from the DWH Guide.

Note You need to log in before you can comment on or make changes to this bug.